> For the complete documentation index, see [llms.txt](https://docs.wpjobopenings.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wpjobopenings.com/developers/hooks/filters/query.md).

# Query

### **`awsm_job_query_args`**

Filters the arguments for the jobs query.

This hook is available since Version 1.4.0

#### **Parameters**

* **$args**

  (array) An array containing arguments.
* **$filters**

  (array) An array containing applicable filters.
* **$shortcode\_atts**

  (array) An array containing shortcode attributes.

#### **Source code**

File: *`wp-job-openings.php`*

{% hint style="info" %}
**Code Snippets:** [**Sort by Title**](/developers/code-snippets/sort-by-title.md)
{% endhint %}

### **`awsm_job_listing_data_attrs`**

Modifying job listing data attributes.

#### **Parameters**

* **$attrs**

  (array) An array of data attributes.

#### **Source code**

File: *`wp-job-openings.php`*

### `awsm_widget_recent_jobs_args`

Filters the array of arguments for retrieving the recent jobs in the Widget.

This filter is available since Version 1.0.0

#### **Parameters**

* **$args**

  (array) array of arguments.
* **$instance**

  (array) The settings for the particular instance of the widget.

#### **Source code**&#x20;

File **:** *`inc/widgets/class-awsm-job-openings-recent-jobs-widget.php`*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wpjobopenings.com/developers/hooks/filters/query.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
